import { LightningInterfaceOptions } from '../utils/types';
import { BaseGenerator } from './baseGenerator';
export default class LightningInterfaceGenerator extends BaseGenerator<LightningInterfaceOptions> {
    validateOptions(): void;
    generate(): Promise<void>;
}
